/*
 * Fireworks.h
 *
 *  Created on: 2009-07-13
 *      Author: wasyl
 */

#ifndef FIREWORKS_H_
#define FIREWORKS_H_

#include <allegro5/acodec.h>
#include <allegro5/kcm_audio.h>
#include <allegro5/allegro.h>
#include "../prep/misc/Vector2D.h"
#include "../prep/ent/Entity.h"
#include "../prep/res/Sheet.h"

class Fireworks : public Entity
{
protected:
	ALLEGRO_SAMPLE *mSound;

public:
	Fireworks();
	~Fireworks();

	int *indices()
	{
		static int ind[] = {ID("entt"), ID("dyna"), ID("posi"), 0};
		return ind;
	}

	int order(int index)
	{
		if (index == ID("rndr"))
			return 90;
		else
			return (int)this;
	}

	void update(double dt);


	Entity *clone() { return new Fireworks(); };
	const char *code() { return "fw"; };
	std::string edString() { return "fireworks"; }
};

#endif /* FIREWORKS_H_ */
